Bug 1303585 - Firefox 44 does not use the Open Sans regular font
Firefox 44 does not use the Open Sans regular font
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
23
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 06:35 EST by Matthew Ames
Modified: 2016-02-05 07:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 07:04:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing comfortaa being used instead of open sans (132.13 KB, image/png)
2016-02-01 06:35 EST, Matthew Ames
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1245082 None None None 2016-02-02 08:32 EST

  None (edit)
Description Matthew Ames 2016-02-01 06:35:01 EST
Created attachment 1120073 [details]
Screenshot showing comfortaa being used instead of open sans

Description of problem: When using Open Sans Regular as the Interface font set by gnome-tweak-tool, firefox 44 does not draw this font, and instead renders comfortaa


Version-Release number of selected component (if applicable): 44


How reproducible: 100%


Steps to Reproduce:
1. Install brand new fedora 23.
2. Install open-sans-fonts.
3. ensure firefox upgraded to 44
4. run `gsettings set org.gnome.desktop.interface document-font-name 'Open Sans 10'` to change the font to opensans
5. open firefox and note the tabs and url bar show the wrong font

Actual results:
Font comfortaa is used. See attached screenshot from configured system in gnome-boxes


Expected results:
Open Sans should be used

Additional info:
This has been witnessed in passing on two separate machines, and tested fully on another.
Comment 1 Matthew Ames 2016-02-05 07:04:01 EST
Bug is being fixed upstream in https://bugzilla.mozilla.org/show_bug.cgi?id=1245811

Note You need to log in before you can comment on or make changes to this bug.